<link rel="import" href="bower_components/polymer/polymer.html">
<link rel="import" href="bower_components/iron-flex-layout/iron-flex-layout.html">
<link rel="import" href="bower_components/iron-flex-layout/iron-flex-layout-classes.html">
<link rel="import" href="bower_components/d2l-text-input/d2l-text-input.html">
<link rel="import" href="bower_components/paper-button/paper-button.html">
<link rel="import" href="bower_components/iron-form/iron-form.html">

<dom-module id="tiny-book-delete">
    <template>
        <tiny-pouchdb name="tiny-books" book="{{book}}" id="db"></tiny-pouchdb>

        <style include="iron-flex iron-flex-layout"></style>

        <iron-form id="my-form">
            <form method="post">
                <input type="hidden" name="_id" value="{{book._id}}"/>
                <input type="hidden" name="img_content_type" value="{{book.img.content_type}}"/>
                <input type="hidden" name="img_filename" value="{{book.img.filename}}"/>
                <input type="hidden" name="img_data" value="{{book.img.data}}"/>
                <input type="hidden" name="img_path" value="{{book.img.path}}"/>
                <paper-button on-click="connectedCallback" style="background-color: red;">Supprimer</paper-button>
            </form>
        </iron-form>

    </template>

    <script>

    class TinyBookDelete extends Polymer.Element {
        static get is() {
            return "tiny-book-delete";
        }

        static get properties() {
            return  {
                books: {
                    type: Array,
                    notify: true
                }
            }
        }

      connectedCallback() {
          super.connectedCallback();
          const form = this.$['my-form'];
          form.submit();
          form.addEventListener('iron-form-presubmit', function (event) {
            event.preventDefault();
            let res = form.serializeForm();
            const db = new PouchDB("http://localhost:5984/books");
            db.get(res['_id']).then(function(doc) {
              return db.remove(doc);
            }).then(function() {
              window.location.reload();
            }).catch(function(err) {
              console.log(err);
            });
          });
      }
    }
    customElements.define(TinyBookDelete.is, TinyBookDelete);
    </script>
</dom-module>
